Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
Class ResolveVisitor.ConstructedClassWithPackage

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.ClassNode
                  org.codehaus.groovy.control.ResolveVisitor.ConstructedClassWithPackage

    class ResolveVisitor.ConstructedClassWithPackage
    extends ClassNode

we use ConstructedClassWithPackage to limit the resolving the compiler does when combining package names and class names. The idea that if we use a package, then we do not want to replace the '.' with a '$' for the package part, only for the class name part. There is also the case of a imported class, so this logic can't be done in these cases...

Field Summary
`String` | `className`
`String` | `prefix`

Fields inherited from class ClassNode
clazz, innerClasses, isPrimaryNode, lazyInitLock

Constructor Summary
`ResolveVisitor.ConstructedClassWithPackage(String pkg, String name)`

Method Summary
`String` | `getName()`
`boolean` | `hasPackageName()`
`String` | `setName(String name)`

Methods inherited from class ClassNode
ClassNode, ClassNode, ClassNode, addConstructor, addConstructor, addField, addField, addFieldFirst, addFieldFirst, addInterface, addMethod, addMethod, addMixin, addObjectInitializerStatements, addProperty, addProperty, addStaticInitializerStatements, addSyntheticMethod, addTransform, declaresInterface, equals, getAbstractMethods, getAllDeclaredMethods, getAllInterfaces, getAnnotations, getAnnotations, getCompileUnit, getComponentType, getDeclaredConstructors, getDeclaredField, getDeclaredMethod, getDeclaredMethods, getDeclaredMethodsMap, getEnclosingMethod, getField, getFields, getGenericsTypes, getGetterMethod, getInnerClasses, getInterfaces, getMethod, getMethods, getMethods, getMixins, getModifiers, getModule, getName, getNameWithoutPackage, getObjectInitializerStatements, getOuterClass, getOuterField, getPackage, getPackageName, getPlainNodeReference, getProperties, getProperty, getSetterMethod, getSuperClass, getTransforms, getTypeClass, getUnresolvedInterfaces, getUnresolvedInterfaces, getUnresolvedName, getUnresolvedSuperClass, getUnresolvedSuperClass, hasDeclaredMethod, hasMethod, hasPackageName, hasPossibleMethod, hasPossibleStaticMethod, hasProperty, hashCode, implementsInterface, isAnnotated, isAnnotationDefinition, isArray, isDerivedFrom, isDerivedFromGroovyObject, isEnum, isGenericsPlaceHolder, isInterface, isPrimaryClassNode, isResolved, isScript, isScriptBody, isStaticClass, isUsingGenerics, makeArray, parametersEqual, positionStmtsAfterEnumInitStmts, redirect, renameField, setAnnotated, setCompileUnit, setEnclosingMethod, setGenericsPlaceHolder, setGenericsTypes, setInterfaces, setModifiers, setModule, setName, setRedirect, setScript, setScriptBody, setStaticClass, setSuperClass, setUnresolvedSuperClass, setUsingGenerics, toString, tryFindPossibleMethod, visitContents

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### className

    String className

### prefix

    String prefix

Constructor Detail

### ResolveVisitor.ConstructedClassWithPackage

    public ResolveVisitor.ConstructedClassWithPackage(String pkg, String name)

Method Detail

### getName

    public String getName()

### hasPackageName

    public boolean hasPackageName()

### setName

    public String setName(String name)

Copyright © 2003-2009 The Codehaus. All rights reserved.